import React, { useEffect, useState } from "react";
import Taro from "@tarojs/taro";
import { View, Text, Image, Button } from "@tarojs/components";
import ContainerLayout from "../../compents/container/index";
import more from "../../assets/more.png";
import deleteicon from "../../assets/deleteicon.png";
import userRloe from "../../util/userRole";
import "./index.scss";
import { useSelector } from "react-redux";
import { AtFab } from "taro-ui";
import request from "../../util/request";

const ImageCard = props => {
  const { image, onDelete } = props;
  const user = useSelector(state => state.user);
  const [isopen, setIsOpen] = useState(false);
// boxShadow:'0rpx 12rpx 0rpx 0rpx #8a8b8d'
  return (
    <View
      className="recommend-view-card"
      style={{ height: !isopen ? "330rpx" : undefined, overflow: "hidden" ,background:'#fff', boxShadow:'6rpx 12rpx 0rpx #898989' }}
    >
      {/* <View onClick={() => setIsOpen(!isopen)}  style={{zIndex:99,boxShadow:'6rpx 12rpx 0rpx #898989',position: 'absolute',width:'100%',height:'330rpx',borderRadius: '30rpx',opacity:0}}>

      </View>
      <View onClick={() => setIsOpen(!isopen)}  style={{zIndex:-9, boxShadow:'0rpx 12rpx 0rpx -4rpx #898989',position: 'absolute',bottom:'0',width:'670rpx',background:'#fff', height:'100%',borderRadius: '30rpx',opacity:0}}>

      </View> */}
      <Image
        className="recommend-view-img"
        mode="widthFix"
        src={image}
        onClick={() => setIsOpen(!isopen)}
        style={{zIndex:1}}
      ></Image>

      {userRloe.customer == user.role ? (
        undefined
      ) : (
        <View className="icon" onClick={() => onDelete()}>
          <Image
            className="icon-image"
            src={deleteicon}
          ></Image>
        </View>
      )}
    </View>
  );
  //   : (
  //     <View>
  //       <Image className="recommend-view-img" mode="widthFix" src={image} onClick={() => setIsOpen(!isopen)}></Image>
  //     </View>
  //   );
};

const recommend = props => {
  const user = useSelector(state => state.user);

  const { value, houseId, ...prop } = props;

  // const [state, setState] = useState(1)
  const [list, setList] = useState([]);
  const [id, setId] = useState();

  // let list = props.dataSource || []

  useEffect(() => {
    setList(props.dataSource || []);
  }, [props.dataSource]);

  // const getImageList=()=>{
  //     request({url:'/taHouseSurround',params:{houseId:houseId}}).then((res)=>{
  //         const {records,...page} =res.data.data
  //         setList(records)
  //     })
  // }

  //

  const onClick = item => {
    if (user.role == userRloe.customer) {
      setId(item.surroundId);
    } else {
      Taro.showModal({
        title: "确定删除该图片吗？",
        content: "确定后，相关房东推荐会即时更新",
        cancelColor: "#d2d2d2",
        confirmColor: "#274191",
        success: function(res) {
          if (res.confirm) {
            console.log("用户点击确定");
            request({
              url: `/taHouseSurround/${item.surroundId}`,
              method: "DELETE"
            }).then(res => {
              setList(list.filter(x => x.surroundId != item.surroundId));
            });
          } else if (res.cancel) {
            console.log("用户点击取消");
          }
        }
      });
    }
  };

  return (
    <View className="recommend">
      {user.role == userRloe.landlord && (
        <Button
          onClick={() =>
            Taro.navigateTo({ url: `/pages/material/index?houseId=${houseId}` })
          }
        >
          添加图片
        </Button>
      )}
      {true &&
        list.map(x => {
          return (
            <View className="recommend-view">
              <ContainerLayout className="recommend-view-layout">
                <ImageCard image={x.image} onDelete={() => onClick(x)} />
                {/* {id != x.surroundId ? <View className='recommend-view-card' style={userRloe.customer == user.role ? { height: "300rpx",overflow:'hidden' }:''}>

                            <Image className='recommend-view-img' mode='widthFix' src={x.image} ></Image>


                            {userRloe.customer == user.role ? <Image className='icon' src={more} onClick={() => onClick(x)}></Image>

                                : <Image className='icon' src={deleteicon} mode='widthFix' style={{ width: '40rpx' }} onClick={() => onClick(x)}></Image>
                            }

                        </View> :
                            <View  >
                                <Image className='recommend-view-img' mode='widthFix' src={x.image}></Image>

                            </View>
                        } */}
              </ContainerLayout>
            </View>
          );
        })}

      {list.length == 0 && <View className="nodata"> 暂无数据</View>}
    </View>
  );
};

export default recommend;
