import {
  LOGIN,
  MINUS
} from '../constants/user'

// landlord: 'landlord',
//     customer:'customer'
// adminuser
const INITIAL_STATE = {

  phone:false
  // role: 'adminuser',
  // role: 'landlord',
  // role:''
  // role: 'customer'
}


function setDefaultShop(shopId) {
  wx.setStorageSync('defaultShop',shopId)
}

export const login = () => {
  return {
    type: LOGIN
  }
}

// 异步的action
export function asyncLogina() {
  return dispatch => {
    dispatch({
      type: 'LOGIN',
      data: '333'
    })

  }
}

export default function user(state = INITIAL_STATE, action) {
  switch (action.type) {
    case 'LOGIN': {
      if (action.user.shopKeeperList && action.user.shopKeeperList.length) {
          wx.setNavigationBarTitle({
            title: '民宿房源管理'
          })

        const shopList = action.user.shopKeeperList.reduce((acc, item) => {
          const shop = item.taShop
          if (!shop) return acc

          const exist = !!acc.filter(x => x.shopId === shop.shopId)[0]
          if (!exist) {
            acc.push(shop)
          }

          return acc
        }, [])

        // 默认当前的, 但是如果有多个, 则需要用户来确定
        const shopId = shopList.length > 1 ? undefined : shopList[0].shopId
        const defaultShop = wx.getStorageSync('defaultShop')
        if (shopId && shopId !== defaultShop) {
          setDefaultShop(shopId)
        }
        
        return {
          ...state,
          ...action.user,
          role: 'landlord',
          defaultShop: shopId || defaultShop,
          shopList,
          // role: 'customer',
        }
      } else {
        return {
          ...state,
          ...action.user,
          role: 'customer',
        }
      }
    }
    case 'phone': {
      return state
    }
    case 'SET_SHOP': {
      const shopId = action.shopId
      if (!shopId) {
        return state
      }

      setDefaultShop(shopId)

      return {
        ...state,
        defaultShop: shopId,
      }
    }

    default:
      return state
  }
}
